Bug 1452644

Summary: Review Request: python-mmtf - A decoding library for the macromolecular transmission format (MMTF)
Product: [Fedora] Fedora Reporter: Dominik 'Rathann' Mierzejewski <dominik>
Component: Package ReviewAssignee: Björn 'besser82' Esser <besser82>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: besser82, package-review
Target Milestone: ---Flags: besser82: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-11 16:17:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1441007    

Description Dominik 'Rathann' Mierzejewski 2017-05-19 11:59:58 UTC
Spec URL: https://rathann.fedorapeople.org/review/python-mmtf/python-mmtf.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-mmtf/python-mmtf-1.0.5-1.fc27.src.rpm
Description:
The Macromolecular Transmission Format (MMTF) is a new compact binary format to
transmit and store biomolecular structures for fast 3D visualization and
analysis.

Bradley AR, Rose AS, Pavelka A, Valasatava Y, Duarte JM, Prlić A, Rose PW (2017)
MMTF - an efficient file format for the transmission, visualization, and
analysis of macromolecular structures. bioRxiv 122689. doi: 10.1101/122689

Valasatava Y, Bradley AR, Rose AS, Duarte JM, Prlić A, Rose PW (2017) Towards an
efficient compression of 3D coordinates of macromolecular structures. PLOS ONE
12(3): e0174846. doi: 10.1371/journal.pone.01748464

Rose AS, Bradley AR, Valasatava Y, Duarte JM, Prlić A, Rose PW (2016) Web-based
molecular graphics for large complexes. In Proceedings of the 21st International
Conference on Web3D Technology (Web3D '16). ACM, New York, NY, USA, 185-186.
doi: 10.1145/2945292.2945324

Fedora Account System Username: rathann

Comment 1 Dominik 'Rathann' Mierzejewski 2017-06-04 00:10:13 UTC
Spec URL: https://rathann.fedorapeople.org/review/python-mmtf/python-mmtf.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-mmtf/python-mmtf-1.0.6-1.fc27.src.rpm

* Sat Jun 03 2017 Dominik Mierzejewski <dominik@greysector.net> 1.0.6-1
- update to 1.0.6
- drop workarounds for issues fixed upstream

Comment 2 Björn 'besser82' Esser 2017-06-04 08:44:05 UTC
Taken.

Comment 3 Björn 'besser82' Esser 2017-06-04 08:50:05 UTC
Some comments from a look on the spec file:

  %if 0%{?rhel} && 0%{?rhel} <= 6
  %{!?__python2: %global __python2 /usr/bin/python2}
  %{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from 
  distutils.sysconfig import get_python_lib; print(get_python_lib())")}
  %{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from 
  distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
  %endif

  ---> Isn't needed anymore; rhel 5+ has been updated to ship all Python2
       related macros.

  %check
  nosetests  
  nosetests-3

  ---> I recommend to use nosetest-%{python(2|3)_version} here.  Same goes
       for picking up the egg-info in %files.

Comment 4 Björn 'besser82' Esser 2017-06-04 08:55:48 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache (v2.0)". 34
     files have unknown license. Detailed output of licensecheck in
     /home/besser82/vm_shared/fedora/review/1452644-python-
     mmtf/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-mmtf , python3-mmtf

     ---> Those package are fine to be standalone.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

     ---> Package is noarch.

[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-mmtf-1.0.6-1.fc27.noarch.rpm
          python3-mmtf-1.0.6-1.fc27.noarch.rpm
          python-mmtf-1.0.6-1.fc27.src.rpm
python2-mmtf.noarch: W: spelling-error Summary(en_US) macromolecular -> macro molecular, macro-molecular, molecular
python2-mmtf.noarch: W: spelling-error %description -l en_US biomolecular -> bio molecular, bio-molecular, molecularity
python2-mmtf.noarch: W: spelling-error %description -l en_US macromolecular -> macro molecular, macro-molecular, molecular
python2-mmtf.noarch: W: spelling-error %description -l en_US bioRxiv -> biorhythm
python2-mmtf.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
python3-mmtf.noarch: W: spelling-error Summary(en_US) macromolecular -> macro molecular, macro-molecular, molecular
python3-mmtf.noarch: W: spelling-error %description -l en_US biomolecular -> bio molecular, bio-molecular, molecularity
python3-mmtf.noarch: W: spelling-error %description -l en_US macromolecular -> macro molecular, macro-molecular, molecular
python3-mmtf.noarch: W: spelling-error %description -l en_US bioRxiv -> biorhythm
python3-mmtf.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
python-mmtf.src: W: spelling-error Summary(en_US) macromolecular -> macro molecular, macro-molecular, molecular
python-mmtf.src: W: spelling-error %description -l en_US biomolecular -> bio molecular, bio-molecular, molecularity
python-mmtf.src: W: spelling-error %description -l en_US macromolecular -> macro molecular, macro-molecular, molecular
python-mmtf.src: W: spelling-error %description -l en_US bioRxiv -> biorhythm
python-mmtf.src: W: spelling-error %description -l en_US doi -> dpi, do, oi
python-mmtf.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
python-mmtf.src: E: specfile-error Python runtime initialized with LC_CTYPE=C (a locale with default ASCII encoding), which may cause Unicode compatibility problems. Using C.UTF-8, C.utf8, or UTF-8 (if available) as alternative Unicode-compatible locales is recommended.
3 packages and 0 specfiles checked; 2 errors, 15 warnings.


Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
python2-mmtf.noarch: W: spelling-error Summary(en_US) macromolecular -> macro molecular, macro-molecular, molecular
python2-mmtf.noarch: W: spelling-error %description -l en_US biomolecular -> bio molecular, bio-molecular, molecularity
python2-mmtf.noarch: W: spelling-error %description -l en_US macromolecular -> macro molecular, macro-molecular, molecular
python2-mmtf.noarch: W: spelling-error %description -l en_US bioRxiv -> biorhythm
python2-mmtf.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
python3-mmtf.noarch: W: spelling-error Summary(en_US) macromolecular -> macro molecular, macro-molecular, molecular
python3-mmtf.noarch: W: spelling-error %description -l en_US biomolecular -> bio molecular, bio-molecular, molecularity
python3-mmtf.noarch: W: spelling-error %description -l en_US macromolecular -> macro molecular, macro-molecular, molecular
python3-mmtf.noarch: W: spelling-error %description -l en_US bioRxiv -> biorhythm
python3-mmtf.noarch: W: spelling-error %description -l en_US doi -> dpi, do, oi
2 packages and 0 specfiles checked; 0 errors, 10 warnings.


Requires
--------
python2-mmtf (rpmlib, GLIBC filtered):
    python(abi)
    python2-msgpack

python3-mmtf (rpmlib, GLIBC filtered):
    python(abi)
    python3-msgpack


Provides
--------
python2-mmtf:
    python-mmtf
    python2-mmtf
    python2.7dist(mmtf-python)
    python2dist(mmtf-python)

python3-mmtf:
    python3-mmtf
    python3.6dist(mmtf-python)
    python3dist(mmtf-python)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/m/mmtf-python/mmtf-python-1.0.6.tar.gz :
  CHECKSUM(SHA256) this package     : 4b92567baf09a1c50244f30f3aba2d006e967e82fe679418ae4c5a7d48e9258f
  CHECKSUM(SHA256) upstream package : 4b92567baf09a1c50244f30f3aba2d006e967e82fe679418ae4c5a7d48e9258f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1452644
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package APPROVED!  Please consider my previous comments, when importing to SCM.

Comment 5 Dominik 'Rathann' Mierzejewski 2017-06-05 21:26:40 UTC
Thanks for the quick review, I'll include your suggestions when importing.

Comment 6 Gwyn Ciesla 2017-06-05 21:35:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-mmtf

Comment 7 Fedora Update System 2017-06-06 16:40:24 UTC
python-mmtf-1.0.6-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a5219cbc6

Comment 8 Fedora Update System 2017-06-07 23:10:43 UTC
python-mmtf-1.0.6-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7a5219cbc6

Comment 9 Fedora Update System 2017-06-11 16:17:09 UTC
python-mmtf-1.0.6-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.